﻿* Encoding: UTF-8.


*A continuación se muestran distintos ejemplos de sintaxis para  trabajar con las bases de datos de Aprender 2023, que se podrán ajustar según las necesidades del análisis*

*Para trabajar con los datos de desempeño de estudiantes para el total pais, es necesario ponderar los resultados para corregir la no respuesta.*
*La evaluacion aprender cuenta con ponderadores para los 3 cuestionarios que componen la evualuacion, y según el dato que se quiera procesar, deberá aplicar cada uno de los ponderadores*
lpondera (ponderador del cuestionario de lengua),
mpondera (ponderador del cuestionario de matematica) y 
ponder (ponderador del cuestionario complementario)*

*Se presentan ejemplos de cómo realizar cálculos de resultados en los 3 cuestionarios.


*Ejemplo de desempeño en Lengua (Base estudiantes. Año:2023. Nivel:Primario).
**Es necesario tener presente que hay que dirigir la búsqueda del archivo a la raíz del directorio en el que se aloja en su dispositivo, por ende editar este primer comando.

GET
  FILE='D:\Escritorio\Base Aprender Estudiantes 6 Grado Primaria 2023.sav'.
DATASET NAME ConjuntoDatos1 WINDOW=FRONT.

WEIGHT BY lpondera.


CTABLES
  /VLABELS VARIABLES=ap03 sector ambito NSE_nivel ldesemp DISPLAY=LABEL
  /TABLE ap03 [C][ROWPCT.COUNT PCT40.1] + sector [C][ROWPCT.COUNT PCT40.1] + ambito 
    [C][ROWPCT.COUNT PCT40.1] + NSE_nivel [C][ROWPCT.COUNT PCT40.1] BY ldesemp [C]
  /CATEGORIES VARIABLES=ap03 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
    MISSING=EXCLUDE
  /CATEGORIES VARIABLES=sector ambito NSE_nivel ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=ldesemp ORDER=A KEY=VALUE EMPTY=INCLUDE
  .

*Ejemplo de desempeño en matematica (Base estudiantes. Año:2023. Nivel:Primario).

WEIGHT BY mpondera.

CTABLES
  /VLABELS VARIABLES=ap03 sector ambito NSE_nivel mdesemp DISPLAY=LABEL
  /TABLE ap03 [C][ROWPCT.COUNT PCT40.1] + sector [C][ROWPCT.COUNT PCT40.1] + ambito 
    [C][ROWPCT.COUNT PCT40.1] + NSE_nivel [C][ROWPCT.COUNT PCT40.1] BY mdesemp [C]
  /CATEGORIES VARIABLES=ap03 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
    MISSING=EXCLUDE
  /CATEGORIES VARIABLES=sector ambito NSE_nivel ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=mdesemp ORDER=A KEY=VALUE EMPTY=INCLUDE
  .

*Ejemplo Cuestionario Complementario: indicadores de respuesta multiple (Base estudiantes. Año:2023. Nivel:Primario).
*Para estos casos, se debe tener en cuenta que hay dos formas de obtener datos de los indicadores de respuesta multiple.

*La primera consiste en tomar como unidad de analisis al estudiante, procesando cada variable que pertenece al indicador de manera independiente pero en conjunto, a los fines de
saber que respondio cada alumno en cada pregunta del indicador en especifico. Eso se puede realizar, por ejemplo, untilizando las tablas personalizadas.***
**** Tomamos como ejemplo la pregunta ap05 Durante tu tiempo libre, ¿hacés lo siguiente? *** 

WEIGHT BY ponder.

CTABLES
  /VLABELS VARIABLES=ap05a ap05b ap05c ap05d ap05e ap05f ap05g ap05h
    DISPLAY=LABEL
  /TABLE ap05a [COLPCT.COUNT PCT40.1] + ap05b [COLPCT.COUNT PCT40.1] + ap05c [COLPCT.COUNT PCT40.1] 
    + ap05d [COLPCT.COUNT PCT40.1] + ap05e [COLPCT.COUNT PCT40.1] + ap05f [COLPCT.COUNT PCT40.1] + 
    ap05g [COLPCT.COUNT PCT40.1] + ap05h [COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ap05a ap05b ap05c ap05d ap05e ap05f ap05g ap05h ORDER=A KEY=VALUE EMPTY=INCLUDE MISSING=EXCLUDE
  .

*existen otros casos donde nos interesa comparar las respuesta entre las distintas variables y la unidad de analisis pasara a ser la respuesta a 
cada variable. 
*Para esto, se debera indicar primero mediante la funcion analizar -> tablas -> conjunto de respuesta multiples, las variables que componen el indicador y la respuesta 
que queremos contar. Tomaremos como ejemplo el indicador anterior contado el valor "Si" (1).

WEIGHT BY ponder.


MRSETS
  /MDGROUP NAME=$Tiempo_Libre CATEGORYLABELS=VARLABELS VARIABLES=ap05a ap05b ap05c ap05d ap05e ap05f ap05g ap05h  VALUE=1
  /DISPLAY NAME=[$Tiempo_Libre].


CTABLES
  /VLABELS VARIABLES=$Tiempo_Libre DISPLAY=LABEL
  /TABLE $Tiempo_Libre [C][COLPCT.COUNT.RESPONSES PCT40.1]
  /CATEGORIES VARIABLES=$Tiempo_Libre  EMPTY=INCLUDE.



**FUSION CON BASE DE DATOS DE DIRECTIVOS- Implica la utilizacion de informacion complementaria a la de la base estudiantes**
**Para algunos casos, es posible que le interese contar en el analisis de datos con informacion aportada por los directivos de la escuela acerca de la misma.
*Para poder cruzar esta informacion, es necesario fusionar las distintas matrices de datos.
*Para ejemplificar este tipo de análisis, se tomará como ejemplo la necesidad de saber mas de las caracteristicas de los alumnos con nivel socioeconomico bajo. Para ello, identificaremos a estos en una 
variable aislada, debido a que es necesario llevar la base de alumnos al mismo nivel de agregacion de la base directivos (por escuela) para poder fusionar ambas matrices.*

WEIGHT OFF.

IF (NSE_nivel=1) Alumnos_NSE_Bajo=1.

EXECUTE.

*Hecho esto, agregamos la base al nivel de la escuela (mediante el ID1) y llevamos con la funcion "Suma" la cantidad total de alumnos por escuela con nivel socioeconomico bajo.

DATASET ACTIVATE ConjuntoDatos1.
DATASET DECLARE Agregado_estudiantes.
SORT CASES BY ID1.
AGGREGATE
  /OUTFILE='Agregado_estudiantes'
  /PRESORTED
  /BREAK=ID1
  /Alumnos_NSE_Bajo=SUM(Alumnos_NSE_Bajo).

DATASET ACTIVATE Agregado_estudiantes.
DATASET CLOSE ConjuntoDatos1.

*Hecho esto, procedemos con la fusion de matrices de datos a traves del ID1 (Base Directivos. Año:2023. Nivel:Primario).

GET
  FILE='D:\Escritorio\Base Aprender Directivos 6 Grado Primaria 2023.sav'.
DATASET NAME ConjuntoDatos3 WINDOW=FRONT.

*Teniendo ya nuestra base de estudiante agregada al nivel de agregacion necesario, identificamos los casos oiginales de nuestra base receptora (directivos), previo a la fusion con
la base de estudiantes agregada.

COMPUTE Origen=1.
EXECUTE.

DATASET ACTIVATE ConjuntoDatos3.
SORT CASES BY ID1.
DATASET ACTIVATE Agregado_estudiantes.
SORT CASES BY ID1.
DATASET ACTIVATE ConjuntoDatos3.
MATCH FILES /FILE=*
  /FILE='Agregado_estudiantes'
  /BY ID1.
EXECUTE.


*Realizada la fusion, elminamos los casos que no corresponden a la base directivos, ya que solo se encuentran en la base estudiantes agregada.
DATASET CLOSE Agregado_estudiantes.

DATASET ACTIVATE ConjuntoDatos3.
SELECT IF Origen=1.
EXECUTE.

WEIGHT OFF.

*Con la variable incorporada, realizamos el procesamiento de la tabla de estudiantes de NSE Bajo según si el director se desempeña en jornada simple o completa

CTABLES 
  /VLABELS VARIABLES=dp08 Alumnos_NSE_Bajo DISPLAY=LABEL 
  /TABLE dp08 [C] BY Alumnos_NSE_Bajo [S][SUM, COLPCT.COUNT PCT40.1] 
  /CATEGORIES VARIABLES=dp08 [1.00, 2.00] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CRITERIA CILEVEL=95.


